//Serena Bailey ITDEV100 Personal Project
package bailey_personalproject;

/**
 *
 * @author elija
 */
import javax.sound.sampled.*;

public class SoundUtils 
{

  public static float SAMPLE_RATE = 8000f;
  
  public void intro() throws LineUnavailableException
  {
    //intro tone
    tone(100, 700);
    tone(50, 500);
    tone(50, 100);
    tone(100, 300);
    tone(50, 500);
  }
  
  public void winner() throws LineUnavailableException
  {
    //winner tone
    tone(600, 200);
    tone(600, 100);
    tone(800, 300);
  }
  
  public void loser() throws LineUnavailableException
  {
    //loser tone
    tone(100, 700);
    tone(50, 700);
    tone(100, 500);
  }
  
  public void complete() throws LineUnavailableException
  {
    //completed game tone  
    tone(600, 300);
    tone(300, 100);
    tone(600, 100);
    tone(600, 100);
    tone(800, 300);
  }

  public static void tone(int hz, int msecs) 
     throws LineUnavailableException 
  {
     tone(hz, msecs, 1.0);
  }

  public static void tone(int hz, int msecs, double vol)
      throws LineUnavailableException 
  {
    byte[] buf = new byte[1];
    AudioFormat af = 
        new AudioFormat(
            SAMPLE_RATE, // sampleRate
            8,           // sampleSizeInBits
            1,           // channels
            true,        // signed
            false);      // bigEndian
    SourceDataLine sdl = AudioSystem.getSourceDataLine(af);
    sdl.open(af);
    sdl.start();
    
    for (int i=0; i < msecs*8; i++) {
      double angle = i / (SAMPLE_RATE / hz) * 2.0 * Math.PI;
      buf[0] = (byte)(Math.sin(angle) * 127.0 * vol);
      sdl.write(buf,0,1);
    }
    sdl.drain();
    sdl.stop();
    sdl.close();
  } 
}